org.firebirdsql.management

## Interface FBManagerMBean

- All Known Implementing Classes:
    FBManager

      public interface FBManagerMBean

  Describe interface `FBManagerMBean` here.
  Version:
    1.0
  Author:
    David Jencks

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createDatabase(java.lang.String filename, java.lang.String user, java.lang.String password)`
    `void` | `dropDatabase(java.lang.String fileName, java.lang.String user, java.lang.String password)`
    `java.lang.String` | `getDefaultCharacterSet()`
    `java.lang.String` | `getFileName()` mbean get-set pair for field fileName Get the value of fileName
    `java.lang.String` | `getName()`
    `int` | `getPageSize()`
    `java.lang.String` | `getPassword()` mbean get-set pair for field password Get the value of password
    `int` | `getPort()`
    `java.lang.String` | `getServer()`
    `java.lang.String` | `getState()`
    `java.lang.String` | `getUserName()` mbean get-set pair for field userName Get the value of userName
    `boolean` | `isCreateOnStart()` mbean get-set pair for field createOnStart Get the value of createOnStart
    `boolean` | `isDatabaseExists(java.lang.String fileName, java.lang.String user, java.lang.String password)`
    `boolean` | `isDropOnStop()` mbean get-set pair for field dropOnStop Get the value of dropOnStop
    `boolean` | `isForceCreate()` Get the ForceCreate value.
    `void` | `setCreateOnStart(boolean createOnStart)` Set the value of createOnStart
    `void` | `setDefaultCharacterSet(java.lang.String firebirdCharsetName)` Set the default database character set.
    `void` | `setDropOnStop(boolean dropOnStop)` Set the value of dropOnStop
    `void` | `setFileName(java.lang.String fileName)` Set the value of fileName
    `void` | `setForceCreate(boolean forceCreate)` Set the ForceCreate value.
    `void` | `setPageSize(int pageSize)` Set the page size that will be used for the database.
    `void` | `setPassword(java.lang.String password)` Set the value of password
    `void` | `setPort(int port)`
    `void` | `setServer(java.lang.String host)`
    `void` | `setUserName(java.lang.String userName)` Set the value of userName
    `void` | `start()`
    `void` | `stop()`

- - ### Method Detail

    - #### start

          void start()
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          void stop()
             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getName

          java.lang.String getName()

    - #### getState

          java.lang.String getState()

    - #### setServer

          void setServer(java.lang.String host)

    - #### getServer

          java.lang.String getServer()

    - #### setPort

          void setPort(int port)

    - #### getPort

          int getPort()

    - #### getFileName

          java.lang.String getFileName()

      mbean get-set pair for field fileName Get the value of fileName
      Returns:
        value of fileName

    - #### setFileName

          void setFileName(java.lang.String fileName)

      Set the value of fileName
      Parameters:
        `fileName` - Value to assign to fileName

    - #### getUserName

          java.lang.String getUserName()

      mbean get-set pair for field userName Get the value of userName
      Returns:
        value of userName

    - #### setUserName

          void setUserName(java.lang.String userName)

      Set the value of userName
      Parameters:
        `userName` - Value to assign to userName

    - #### getPassword

          java.lang.String getPassword()

      mbean get-set pair for field password Get the value of password
      Returns:
        value of password

    - #### setPassword

          void setPassword(java.lang.String password)

      Set the value of password
      Parameters:
        `password` - Value to assign to password

    - #### setPageSize

          void setPageSize(int pageSize)

      Set the page size that will be used for the database. The value for `pageSize` must be one of `PageSizeConstants`. The default value depends on the Firebird version.

      Some values are not valid on all Firebird versions.

      Parameters:
        `pageSize` - The page size to be used in the created database, see `PageSizeConstants`
      See Also:
        `PageSizeConstants`

    - #### getPageSize

          int getPageSize()

      Returns:
        The page size to be used when creating a database, or `-1` if the database default is used.

    - #### setDefaultCharacterSet

          void setDefaultCharacterSet(java.lang.String firebirdCharsetName)

      Set the default database character set.
      Parameters:
        `firebirdCharsetName` - Character set name, use Firebird names only; `null` will use Firebird default (`NONE`). Specifying an invalid name will result in an exception during database creation.

    - #### getDefaultCharacterSet

          java.lang.String getDefaultCharacterSet()

      Returns:
        The default character set name, `null` means not set.

    - #### isCreateOnStart

          boolean isCreateOnStart()

      mbean get-set pair for field createOnStart Get the value of createOnStart
      Returns:
        value of createOnStart

    - #### setCreateOnStart

          void setCreateOnStart(boolean createOnStart)

      Set the value of createOnStart
      Parameters:
        `createOnStart` - Value to assign to createOnStart

    - #### isDropOnStop

          boolean isDropOnStop()

      mbean get-set pair for field dropOnStop Get the value of dropOnStop
      Returns:
        value of dropOnStop

    - #### setDropOnStop

          void setDropOnStop(boolean dropOnStop)

      Set the value of dropOnStop
      Parameters:
        `dropOnStop` - Value to assign to dropOnStop

    - #### isForceCreate

          boolean isForceCreate()

      Get the ForceCreate value.
      Returns:
        the ForceCreate value.

    - #### setForceCreate

          void setForceCreate(boolean forceCreate)

      Set the ForceCreate value.
      Parameters:
        `forceCreate` - The new ForceCreate value.

    - #### createDatabase

          void createDatabase(java.lang.String filename,
                              java.lang.String user,
                              java.lang.String password)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dropDatabase

          void dropDatabase(java.lang.String fileName,
                            java.lang.String user,
                            java.lang.String password)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### isDatabaseExists

          boolean isDatabaseExists(java.lang.String fileName,
                                   java.lang.String user,
                                   java.lang.String password)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.